#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <pthread.h>
#include "psleep.h"

#define NUM_THREADS     8

void *thread(void *thread_id) {
	int id = *((int *) thread_id);
	sleep(1); // 1s
	printf("Thread %d\n", id);
	return NULL;
}

int main() {
	pthread_t threads[NUM_THREADS];
	int tab[NUM_THREADS];
	int i;
	for (i = 0; i < NUM_THREADS; i++) {
		tab[i] = i;
		int code = pthread_create(&threads[i], NULL, thread, &tab[i]);
		if (code != 0) {
			fprintf(stderr, "pthread_create failed!\n");
			return EXIT_FAILURE;
		}

	}
	pthread_exit(NULL);
	return EXIT_SUCCESS;
}

